import 'package:xdja_bridge/gprs_server/protocol/base_protocol/base_request.dart';
import 'package:xml/xml.dart';

/// 修改密码请求协议内容
class ChangePwdRequest with BaseRequest {
  /// 请求类别
  String _reqType='changeps';

  /// 回话id
  String sessionID;

  /// 登录认证方式
  /// 0-警号，1=身份证，2-手机号
  String valiDataType;

  ///  登录所用证件号码
  String valiDataValue;

  /// 新密码
  String newPwd;

  /// 旧密码
  String oldPwd;

  String buildXml() {
    var builder = XmlBuilder();
    builder.declaration(encoding: 'UTF-8');
    builder.element('Root', nest: () {
      if (appKey != null && appKey.isNotEmpty) {
        builder.element('AppKey', nest: appKey);
      }
      if (reqDigest != null && reqDigest.isNotEmpty) {
        builder.element('ReqDigest', nest: reqDigest);
      }
      builder.element('ReqType', nest: _reqType);
      builder.element('SessionId', nest: sessionID);
      builder.element('ValidateType', nest: valiDataType);
      builder.element('ValidateValue', nest: valiDataValue);
      builder.element('NewPassword', nest: newPwd);
      builder.element('OldPassword', nest: oldPwd);
    });
    return builder.buildDocument().toXmlString();
  }
}
