import 'package:xdja_bridge/gprs_server/protocol/base_protocol/base_request.dart';
import 'package:xml/xml.dart';

/// 获取数据源请求
class GetDataSourceRequest with BaseRequest {
  /// 需要获取数据源的请求类别
  String reqSort;

  ///  获取数据源请求类别
  String _reqType = 'getdbsource';

  String sessionID;
  String buildXml() {
    var builder = XmlBuilder();
    builder.declaration(encoding: 'UTF-8');
    builder.element('Root', nest: () {
      if (appKey != null && appKey.isNotEmpty) {
        builder.element('AppKey', nest: appKey);
      }
      if (reqDigest != null && reqDigest.isNotEmpty) {
        builder.element('ReqDigest', nest: reqDigest);
      }
      builder.element('ReqType', nest: _reqType);
      builder.element('SessionID', nest: sessionID);
      builder.element('ReqSort', nest: reqSort);
    });
    return builder.buildDocument().toXmlString();
  }
}
