import 'package:xdja_bridge/gprs_server/protocol/base_protocol/base_response.dart';
import 'package:xml/xml.dart';

class GetDataSourceResponse with BaseResponse {
  GetDataSourceResponse();
  List<DataSource> dataSourceList;

  @override
  GetDataSourceResponse parseXml(String xmlData) {
    return GetDataSourceResponse.parseXml(xmlData);
  }

  factory GetDataSourceResponse.parseXml(String xmlData) {
    var dataSourceResponse = GetDataSourceResponse();
    dataSourceResponse.response = xmlData;
    List<DataSource> dataSourceList = List();
    final document = XmlDocument.parse(xmlData);
    var rootElement = document.getElement('Root');
    var dataSourceelementList = rootElement.children;
    DataSource dataSource;
    for (var element in dataSourceelementList) {
      dataSource = DataSource();
      dataSource.sourceName = element.getAttribute('name');
      dataSource.source = element.text;
      dataSourceList.add(dataSource);
    }
    dataSourceResponse.dataSourceList = dataSourceList;
    return dataSourceResponse;
  }
}

class DataSource {
  String sourceName;
  String source;
}
