import 'package:xdja_bridge/gprs_server/protocol/base_protocol/base_response.dart';
import 'package:xml/xml.dart';

/// 录入请求返回协议

class EntryResponse with BaseResponse {
  EntryResponse();

  ///  版本
  String version;

  /// 是否成功
  bool isSuccess;

  /// 失败或成功原因描述
  String message;

  @override
  EntryResponse parseXml(String xmlData) {
    return EntryResponse.parseXml(xmlData);
  }

  factory EntryResponse.parseXml(String xmlData) {
    var entryResponse = EntryResponse();
    entryResponse.response = xmlData;
    try {
      final document = XmlDocument.parse(xmlData);
      var rootElement = document.getElement('Root');
      if (rootElement.getElement('Type').text == '0') {
        entryResponse.isSuccess = true;
      }
      entryResponse.message = rootElement.getElement('Result').text;
    } on XmlParserException catch (e) {
      print(e.message);
      if (xmlData.startsWith('0')) {
        entryResponse.isSuccess = true;
        var result = xmlData.split('||');
        entryResponse.message = result[1];
      } else if (xmlData.startsWith('-1')) {
        entryResponse.isSuccess = false;
        var result = xmlData.split(' ');
        if (result.length >= 2) {
          entryResponse.message = result[1];
        }
      } else {
        entryResponse.isSuccess = false;
        entryResponse.message = '服务器返回数据格式错误';
      }
    }

    return entryResponse;
  }
}
