import 'package:xdja_bridge/gprs_server/protocol/base_protocol/base_request.dart';
import 'package:xml/xml.dart';

class LogoutRequest with BaseRequest {
  String _reqType = 'logout';
  String sessionID;

  String buildXml() {
    var builder = XmlBuilder();
    builder.declaration(encoding: 'UTF-8');
    builder.element('Root', nest: () {
      if (appKey != null && appKey.isNotEmpty) {
        builder.element('AppKey', nest: appKey);
      }
      if (reqDigest != null && reqDigest.isNotEmpty) {
        builder.element('ReqDigest', nest: reqDigest);
      }
      builder.element('ReqType', nest: _reqType);
      builder.element('SessionID', nest: sessionID);
    });
    var logoutRequestXml = builder.buildDocument();
    return logoutRequestXml.toXmlString();
  }
}
