import 'dart:async';

import 'package:flutter/services.dart';

class Bridge {
  static const MethodChannel _channel = const MethodChannel('bridge');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<String> get uaacToken async {
    final String token = await _channel.invokeMethod('getUaacToken');
    return token;
  }

  static Future<String> get safeCardId async {
    final String safeCardId = await _channel.invokeMethod('getSafeCardId');
    return safeCardId;
  }

  static Future<String> gprsServerRequest(String ip, String port, String request) async {
    Map<String, dynamic> argument = {
      "ip": ip,
      "port": port,
      "request": request
    };
    final String response = await _channel.invokeMethod('gprsServerRequest', argument);
    return response;
  }
}
